
nginx:
  service.running:
    - enable: true
    - watch:
      - file: /etc/nginx/conf.d/*

php-fpm:
  service.running:
    - enable: true
    - watch:
      - file: /etc/php-fpm.d/www.conf

/etc/nginx/conf.d/:
  file.recurse:
    - source: salt://roles/maintain/pepper/conf.d/
    - user: root
    - group: root
    - dir_mode: 755
    - file_mode: 644
    - clean: true

/etc/php-fpm.d/www.conf:
  file.managed:
    - source: salt://roles/maintain/pepper/www.conf
    - user: root
    - group: root
    - mode: 644

/opt/pepper:
  file.directory:
    - user: nginx
    - group: nginx
    - recurse:
      - user
      - group

/opt/pepper/storage:
  file.directory:
    - mode: 775
    - recurse:
      - mode
   
#/opt/saltpad/saltpad/modules/:
#  file.recurse:
#    - source: salt://roles/maintain/saltpad/modules/
#    - user: root
#    - group: root
#    - dir_mode: 755
#    - file_mode: 644
#    - clean: true

