openldap_client:
  pkg.installed:
    - pkgs:
      - openldap

/etc/openldap/ldap.conf:
  file.managed:
    - source: salt://systems/core/ldap/ldap.conf
    - user: root
    - group: root
    - mode: 644


nss-pam-ldapd:
  pkg.installed

nslcd:
  service.running:
    - enable: true
    - watch:
      - file: /etc/nslcd.conf
      - file: /etc/nsswitch.conf

/etc/nslcd.conf:
  file.managed:
    - source: salt://systems/core/ldap/nslcd.conf
    - user: root
    - group: root
    - mode: 644

/etc/nsswitch.conf:
  file.managed:
    - source: salt://systems/core/ldap/nsswitch.conf
    - user: root
    - group: root
    - mode: 644


/etc/pam.d:
  file.recurse:
    - source: salt://systems/core/ldap/pam.d
    - user: root
    - group: root
    - dir_mode: 755
    - file_mode: 644
